View Issue Details

IDProjectCategoryView StatusLast Update
0007783VCOMPONENT-VKERNELSQL Parserpublic2016-10-18 17:16
ReporterChris ZakrewskyAssigned ToRuslan Zasukhin 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version 
Target VersionFixed in Version6.6.x 
Summary0007783: 6.6.1 regression: CREATE EVENT errors out: "Action text is empty."
DescriptionFollowing worked on 6.5.12 but not on 6.6.1 (and the same is for Studio).

Three excerpts from vlog, one case where it is still working and two where it fails now:



***CORRECT RESULT***

Wed Oct 12 2016 20:22:59.529000 (TID 7512): (UID 764) I_SqlConnection ' ' SqlQuery

'USE Master; SET PROPERTY DateTimeFormat OF DATABASE TO 'kYMD'; SET PROPERTY DateSeparator OF DATABASE TO '-'; SET PROPERTY TimeSeparator OF DATABASE TO ':'; CREATE EVENT IF NOT EXISTS Nomadic_ReindexDb FOR DATABASE Nomadic ON SCHEDULE EVERY 12 HOUR STARTS TIMESTAMP '2016-09-15 00:00:00' COMMENT '1.0' DO REINDEX DATABASE; '.

Wed Oct 12 2016 20:22:59.825000 (TID 7512): (UID 764) Takes: '297' msec. Affected: '1' records.



***INCORRECT RESULT***

Wed Oct 12 2016 20:22:59.841000 (TID 7512): (UID 764) I_SqlConnection ' ' SqlQuery

'USE Master; SET PROPERTY DateTimeFormat OF DATABASE TO 'kYMD'; SET PROPERTY DateSeparator OF DATABASE TO '-'; SET PROPERTY TimeSeparator OF DATABASE TO ':'; CREATE EVENT IF NOT EXISTS Nomadic_DefragmentDb FOR DATABASE Nomadic ON SCHEDULE EVERY 1 DAY STARTS TIMESTAMP '2016-09-15 01:00:00' COMMENT '1.0' DO DEFRAGMENT; '.

Wed Oct 12 2016 20:22:59.856000 (TID 7512): (UID 764) ERROR 0x67503: Event "Nomadic_DefragmentDb". Action text is empty.



***INCORRECT RESULT***

Wed Oct 12 2016 20:22:59.872000 (TID 7512): (UID 764) I_SqlConnection ' ' SqlQuery

'USE Master; SET PROPERTY DateTimeFormat OF DATABASE TO 'kYMD'; SET PROPERTY DateSeparator OF DATABASE TO '-'; SET PROPERTY TimeSeparator OF DATABASE TO ':'; CREATE EVENT IF NOT EXISTS Nomadic_CompactDb FOR DATABASE Nomadic ON SCHEDULE EVERY 1 DAY STARTS TIMESTAMP '2016-09-15 02:00:00' COMMENT '1.0' DO COMPACT; '.

Wed Oct 12 2016 20:22:59.872000 (TID 7512): (UID 764) ERROR 0x67503: Event "Nomadic_CompactDb". Action text is empty.


TagsNo tags attached.

Relationships

related to 0007786 resolvedRuslan Zasukhin VALENTINA STUDIO SQL parser truncates last token 

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2016-10-15 09:41

administrator   ~0009286

6.6.2

trouble after VLEXER switch.
Chris Zakrewsky

Chris Zakrewsky

2016-10-16 18:15

reporter   ~0009291

Seems not work in 6.6.2...

Sun Oct 16 2016 20:06:50.647000 (TID 2376): (UID 944) Database: nomadic; User: rvs: OK
Sun Oct 16 2016 20:06:50.655000 (TID 4512): (UID 944) ERROR 0x67503: Event "Nomadic_Test2". Action text is empty.
Sun Oct 16 2016 20:06:50.660000 (TID 4828): (UID 944) Database: nomadic; User: rvs: OK
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 05:03

administrator   ~0009292

Please re-download 6.6.2 archive of vserver and install it

should work now
Chris Zakrewsky

Chris Zakrewsky

2016-10-17 10:50

reporter   ~0009293

Last edited: 2016-10-17 11:07

View 2 revisions

Hi Ruslan,
I really appreciate your efforts, but I can not reproduce the results you get.

Linux version (64bit, Deb) reinstalled: unfortunately still doesn't work (vserver executable file: 2016-10-16 23:11:22).

Windows version (32 bit) reinstalled: much worse - can not even start the service (VServer.exe: 2016-10-16 22:51)... "Error 1067: The process terminated unexpectedly."

Warnings.log
============

20161017_111451 : ServicePage of the rollback journal is invalid. : master.vdb.journal
20161017_111451 : ServicePage of the rollback journal is invalid. : master.vdb.journal

(here I nuked Master.vdb and after it was reinstated)

20161017_111945 : Rollback from journal is started. : master.vdb.journal
20161017_111945 : Rollback from journal is finished. : master.vdb.journal


VServer.log
===========

Mon Oct 17 2016 11:19:45.100000 (TID 1808): Database engine inited
Licence license_win_XXXXXXXXXXXXXXXX is registered to XXXXXXXXXXXXXXX.
Valid until 9999-12-31. Subscription valid until XXXX-XX-XX.

/*************************************************************************************/
Mon Oct 17 2016 11:19:45.773000 VServer (Type x32, Server 6.6.2, Kernel 6.6.2 )
vKernel is externally-synched type.
SQLite lib version: 3.14.2

Maximum number of Valentina connections: unlimited
Maximum number of Sqlite connections: unlimited
Maximum number of REST connections: unlimited

(end of file)

Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 12:40

administrator   ~0009294

Windows - cannot even restart -- just impossible
was change in one line in SQL Parser.cpp
not related to start of service.
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 12:42

administrator   ~0009295

although may be masterdb have some wrong events now, and this cause effect....


But you say linux vserver still not works for you.
Aha I have a clue.

I did think you are MAC users,
linux builds tend to work only after clean rebuild.

okay I will make clean rebuild now for linux only, and produce newer archives again.
Lets hope this will fix linux vserver.

But what happens to win vserver ... so far no idea.
Please double check.
Chris Zakrewsky

Chris Zakrewsky

2016-10-17 13:05

reporter   ~0009296

Last edited: 2016-10-17 13:14

View 3 revisions

Either my workplace suddenly became haunted or I am witnessing a parallel universe...

I just tested this on two physically separated machines, a Win 10 Pro 64 bit and a Win 7 Pro 64 bit, each of which separately downloaded VServer (32 bit) directly from your web site.

Both can not start vserver service now.
However reversing to yesterday's version of VServer (32 bit) allows starting this service.

My guess is you got a corrupted upload?
How about actually testing your download by yourself?

Best!

Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 17:08

administrator   ~0009297

1) please try vserver linux

2) yes I confirm that win vserver not starts. Rebuilding it also now as clean build. Sorry, some mess happens.
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 17:11

administrator   ~0009298

About how I have made second fix.

I have to see that in the GIT not present fixed line.
In commit was lost one file.
So I have commit that line and made BUILD (without clean as usually).
It have looked as simple obvious fix.

But as we see Linux build did not pick up it,
windows even worse - not starts... Do not have idea how this can be actually.


If again not helps, then I will need start totall rebuild for 3 OS.
Chris Zakrewsky

Chris Zakrewsky

2016-10-17 18:12

reporter   ~0009300

We are getting there :)

Linux OK!

Let me know when you have Windows ready for test.
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 20:39

administrator   ~0009301

WIN VSERVER on ftp.

I cross fingers,
 I did not test it self - I am on mac right now
Chris Zakrewsky

Chris Zakrewsky

2016-10-17 21:53

reporter   ~0009302

FTP

Do you have any hint about credentials which are necessary to get in?
I don't think I ever got any...
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 22:25

administrator   ~0009303

I mean standard place on site

also can be used direct link

http://www.valentina-db.com/download/release
Chris Zakrewsky

Chris Zakrewsky

2016-10-17 22:37

reporter  

Snapshot-2016-10-18-003521.png (35,513 bytes)
Chris Zakrewsky

Chris Zakrewsky

2016-10-17 22:41

reporter   ~0009304

In that case something extraordinarily fishy is going on with your packaging script:

The setup file has the recent time, but its contents are from day before yesterday.

See the attached screenshot done directly after downloading and installing of the displayed file.
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-17 23:16

administrator   ~0009305

I see. please try now once again
Chris Zakrewsky

Chris Zakrewsky

2016-10-18 09:11

reporter   ~0009306

Victory at last! :-)

It starts and it works.
Have you identified the culprit?
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-18 12:10

administrator   ~0009309

only if

1) linux GCC did not respect changed file
  so it have give us the same

2) visual - even worse, give us something broken,

Change was sooo simple, that this was not expected.
May be bad moon :)
Chris Zakrewsky

Chris Zakrewsky

2016-10-18 12:24

reporter   ~0009310

This should never happen on a physical volume (hard-drive) - 'make' is a very reliable tool, but so it must get data from a reliable source.

However network volumes are a whole another story - they lie to you. I've seen more network-related corruption in my life than I care to remember.

We always use SSH whenever source files are not physically on the local machine
(this also includes the source version control systems).

Hope this helps,
(and BTW, a good idea is to have automated Install tests as well)
Ruslan Zasukhin

Ruslan Zasukhin

2016-10-18 17:16

administrator   ~0009314

was re-download of 6.6.2 for linux and win vserver

Issue History

Date Modified Username Field Change
2016-10-12 19:36 Chris Zakrewsky New Issue
2016-10-13 09:48 Ivan Smahin Project VCOMPONENT-VCLIENT => VCOMPONENT-VKERNEL
2016-10-13 09:55 Ivan Smahin Category SQL => SQL Parser
2016-10-13 09:55 Ivan Smahin Assigned To => Ruslan Zasukhin
2016-10-13 09:55 Ivan Smahin Status new => assigned
2016-10-15 09:41 Ruslan Zasukhin Note Added: 0009286
2016-10-15 09:41 Ruslan Zasukhin Status assigned => resolved
2016-10-15 09:41 Ruslan Zasukhin Fixed in Version => 6.6.x
2016-10-15 09:41 Ruslan Zasukhin Resolution open => fixed
2016-10-15 09:42 Ruslan Zasukhin Relationship added related to 0007786
2016-10-16 18:15 Chris Zakrewsky Note Added: 0009291
2016-10-16 18:15 Chris Zakrewsky Status resolved => feedback
2016-10-16 18:15 Chris Zakrewsky Resolution fixed => reopened
2016-10-17 05:03 Ruslan Zasukhin Note Added: 0009292
2016-10-17 10:50 Chris Zakrewsky Note Added: 0009293
2016-10-17 10:50 Chris Zakrewsky Status feedback => assigned
2016-10-17 11:07 Chris Zakrewsky Note Edited: 0009293 View Revisions
2016-10-17 12:40 Ruslan Zasukhin Note Added: 0009294
2016-10-17 12:42 Ruslan Zasukhin Note Added: 0009295
2016-10-17 13:05 Chris Zakrewsky Note Added: 0009296
2016-10-17 13:13 Chris Zakrewsky Note Edited: 0009296 View Revisions
2016-10-17 13:14 Chris Zakrewsky Note Edited: 0009296 View Revisions
2016-10-17 17:08 Ruslan Zasukhin Note Added: 0009297
2016-10-17 17:11 Ruslan Zasukhin Note Added: 0009298
2016-10-17 18:12 Chris Zakrewsky Note Added: 0009300
2016-10-17 20:39 Ruslan Zasukhin Note Added: 0009301
2016-10-17 21:53 Chris Zakrewsky Note Added: 0009302
2016-10-17 22:25 Ruslan Zasukhin Note Added: 0009303
2016-10-17 22:37 Chris Zakrewsky File Added: Snapshot-2016-10-18-003521.png
2016-10-17 22:41 Chris Zakrewsky Note Added: 0009304
2016-10-17 23:16 Ruslan Zasukhin Note Added: 0009305
2016-10-18 09:11 Chris Zakrewsky Note Added: 0009306
2016-10-18 12:10 Ruslan Zasukhin Note Added: 0009309
2016-10-18 12:24 Chris Zakrewsky Note Added: 0009310
2016-10-18 17:16 Ruslan Zasukhin Note Added: 0009314
2016-10-18 17:16 Ruslan Zasukhin Status assigned => resolved
2016-10-18 17:16 Ruslan Zasukhin Resolution reopened => fixed